﻿.d-none {
    display: none !important
}

.calcForm__Section_Wrapper * {
    font-family: IranSans !important;
}

/* *------------------------------- salary module Start ------------------------------- */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type=number] {
    -moz-appearance: textfield;
}

.calcForm__Section_Wrapper,
.result__Dialog {
    --main-color: #1BA0C4;
    --secound-color: #1C6197;
    --transition: 0.3s;
    text-align: right;
}

.calcForm__Section_Wrapper {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    max-width: 350px;
    padding: 0.5rem;
    border-radius: 0;
    position: relative;
    margin-inline: auto;
    direction: rtl;
    border: solid 2px var(--secound-color);
    margin-bottom: 40px;
}

.calcForm__Section_Wrapper label {
    position: relative;
}

.calcForm__Section_Wrapper label .form__Input {
    background-color: white;
    width: 100%;
    padding: 1.5rem 05px 05px 10px;
    outline: 0;
    border-radius: 0;
    height: fit-content;
    font-size: medium;
    transition: var(--transition);
}


.calcForm__Section_Wrapper label .form__Input.error {
    border-color: red;
}

.form__Section_Item .required-field {
    width: 100%;
    animation: ErrorIn forwards 0.5s;
    overflow: hidden;
    color: red;
}

.form__Section_Item.form__Toggle{
    display: flex;
    font-display: row;
    justify-content: space-between;
    align-items: center;
}

.form__Section_Item.form__Toggle .form__Toggle_Wrapper{
    width: 3rem;
    height: 1.5rem;
    transition: 0.3s;
    --accent:rgb(175,175,175);
    border: solid 2px  var(--accent);
    background-color: white;
    padding: 2px;
    position: relative;
}

.form__Section_Item.form__Toggle input:checked~.form__Toggle_Wrapper{
    --accent:var(--secound-color);
}

.form__Section_Item.form__Toggle .form__Toggle_Wrapper::after{
    content: '';
    width: calc(50% - 2px);
    height: calc(100% - 4px);
    background-color: var(--accent);
    transition: var(--transition);
    margin-right: calc(auto - var(--right));
    display: block;
    position: absolute;
    top: 50%;
    transform: translate(0,-50%);
}

.form__Section_Item.form__Toggle input:checked~.form__Toggle_Wrapper::after{
transform: translate(-100% , -50%);
}


.calcForm__Section_Wrapper label .form__Input:focus {
    box-shadow: 0px 2px 8px 0px rgba(0, 0, 0, 0.15);
    border-color: var(--secound-color);
}

.calcForm__Section_Wrapper label .form__Input:valid {
    border-color: var(--main-color);
}

.calcForm__Section_Wrapper label .form__Input~.label__Title {
    color: black;
    position: absolute;
    right: 10px;
    top: 0px;
    font-size: 0.9em;
    cursor: text;
    transition: 0.3s ease;
    user-select: none;
}

.calcForm__Section_Wrapper label .form__Input:placeholder-shown~.label__Title {
    top: 14px;
    font-size: 1rem;
}

.calcForm__Section_Wrapper label .form__Input:focus~.label__Title,
.calcForm__Section_Wrapper label .form__Input:valid~.label__Title {
    top: 5px;
    font-size: 0.7em;
    opacity: 0.6;
}

.submit {
    border: none;
    outline: none;
    padding: 0.5rem 1.5rem;
    border-radius: 0;
    color: #fff;
    font-size: 16px;
    transition: .3s;
    background-color: var(--main-color);
    width: 100%;
}

.submit:hover {
    background-color: var(--secound-color);
}

.form_Radio input {
    display: none;
}

.form_Radio {
    display: flex;
    gap: 0.5rem;
}

.form_Button {
    display: flex;
    justify-content: center;
}

.form_Radio .form-check-label {
    padding: 0.5;
    width: 100%;
    text-align: center;
    border: solid 1px #ced4da;
    font-size: 1rem;
    transition: var(--transition);
    user-select: none;
    cursor: pointer;
}

.form_Radio .form-check-label:has(input:checked) {
    border-color: var(--main-color);
    box-shadow: 0px 2px 8px 0px rgba(0, 0, 0, 0.15);
    background-color: #ecfbff;
}

.form__Section_Item .hint {
    --opacity: 0.8;
    font-size: 12px;
    opacity: var(--opacity);
}

.form__Section_Item .hint::before {
    content: '';
    background: url(../Images/info.svg) no-repeat center / cover;
    opacity: var(--opacity);
    display: inline-block;
    width: 18px;
    height: 18px;
    vertical-align: middle;
    margin-left: 0.25rem;
}

/* * dialogue Start */

.result__Dialog {
    border: none;
    opacity: 0;
    transform: scale(0.8);
    transition: var(--transition);
    max-width: 350px;
    width: 100%;
    direction: rtl;
    text-align: right;
    overflow: visible;
    filter: drop-shadow(0px 2px 8px rgba(0, 0, 0, 0.15));
    -webkit-filter: drop-shadow(0px 2px 8px rgba(0, 0, 0, 0.15));
}

.result__Dialog::before,
.result__Dialog::after {
    content: '';
    display: block;
    width: 100%;
    height: 1.5rem;
    position: absolute;
    left: 0;
    background: url(../Images/ReciptPattern.svg) repeat-x bottom left / calc(100% / 20);
}

.result__Dialog::before {
    bottom: 100%;
}

.result__Dialog::after {
    top: 100%;
    transform: rotate(180deg);
}


.result__Dialog.active {
    opacity: 1;
    transform: scale(1);
}

.close__Button {
    background-color: var(--main-color);
    border-radius: none;
    border: none;
    color: white;
    font-family: inherit;
    padding-inline: 1.5rem;
    transition: var(--transition);
}

.close__Button:hover {
    background-color: var(--secound-color);
}

.info__Summary {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(min(100%, 150px), 1fr));
    gap: 1rem 0.5rem;
    margin-bottom: 1rem;
}

.info__Row.result {
    grid-column: span 2;
    padding-top: 0.5rem;
    border-top: solid 1px var(--main-color);
}

.info__Row>span {
    font-size: 12px;
    display: block;
    opacity: 0.8;
}

.info__Row>.summary__Value {
    font-size: 16px;
    min-height: 1.5rem;
    font-family: inherit;
}

/* ! dialogue End */
button::selection {
    color: inherit;
    background-color: inherit;
}
#firstRetiredDate{
    font-weight: bold;
}
/* !------------------------------- salary module End --------------------------------- */